Yii Framework Forum: Yii 2.0.7 is released - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Yii 2.0.7 is released Rate Topic: -----

#1 User is offline   CeBe 

  • Advanced Member
  • Yii
  • Group: Yii Dev Team
  • Posts: 567
  • Joined: 16-July 10
  • Location:Berlin. Germany

Posted 14 February 2016 - 10:28 AM

*
POPULAR

We are very pleased to announce the release of Yii Framework version 2.0.7. Please refer to the instructions at http://www.yiiframework.com/download/ to install or upgrade to this version.

Version 2.0.7 is a patch release of Yii 2.0 which contains over 100 minor new features and bug fixes as well as numerous improvements to documentation and guide translations.

There are extra steps to do while upgrading so check the UPGRADE.md file.

Thanks to our awesome Yii community we've got valuable pull requests and discussions that made this release possible. Thank you!

You find the complete release information on the news: http://www.yiiframew...-7-is-released/
8

#2 User is offline   charris66 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 17
  • Joined: 09-October 09
  • Location:BC, Canada

Posted 14 February 2016 - 12:41 PM

Thumbs up!

Thanks :)
0

#3 User is offline   jacmoe 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 3,694
  • Joined: 10-October 10
  • Location:Denmark

Posted 14 February 2016 - 02:47 PM

Lots of great fixes and features - awesome ! :)
"Less noise - more signal"
3

#4 User is offline   Raoul 

  • Master Member
  • PipPipPipPip
  • Yii
  • Group: Members
  • Posts: 712
  • Joined: 29-November 08
  • Location:Paris, France

Posted 15 February 2016 - 03:59 AM

Thanks for this release !! Yii2 is great !!
(...and as for my feature request, I'll wait a next release;))
0

#5 User is offline   Cálcio 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 222
  • Joined: 15-July 13
  • Location:Brasil - RJ

Posted 15 February 2016 - 06:36 AM

Thanks for that release. I will update soon and test on my project.
Se minha resposta te ajudou, clique no link "Vote this post up".
If my answer help you, please check the "Vote this post up".

See my porfolio
0

#6 User is offline   Vojtech 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 95
  • Joined: 09-April 12
  • Location:Prague

Posted 15 February 2016 - 10:56 AM

Thank you for the great work!
0

#7 User is offline   Bushi 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 72
  • Joined: 16-April 15

Posted 17 February 2016 - 09:38 PM

Gracias equipo....!! thank...!! Posted Image
yii2 guide
please ! use yii2
0

#8 User is offline   Russel 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 1
  • Joined: 04-January 14
  • Location:Philippines

Posted 19 February 2016 - 01:45 AM

Thank you for this wonderful framework. Kudos to Yii Team. Just finish 5 project. Good documentation and a lot of resources to get you going.
1

#9 User is offline   Stanimir Stoyanov 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 29-March 15

Posted 20 February 2016 - 10:54 AM

Upgrade from 2.0.6 failed with:

Your requirements could not be resolved to an installable set of packages.

  Problem 1
    - yiisoft/yii2 2.0.6 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.7 requires bower-asset/jquery 2.2.*@stable | 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.6 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.5 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.4 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.3 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.2 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.1 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - yiisoft/yii2 2.0.0 requires bower-asset/jquery 2.1.*@stable | 1.11.*@stable -> no matching package found.
    - Installation request for yiisoft/yii2 * -> satisfiable by yiisoft/yii2[2.0.0, 2.0.1, 2.0.2, 2.0.3, 2.0.4, 2.0.5, 2.0.6, 2.0.7].


any ideas?

Otherwise thank you for this huge update with so many useful features!

edit: I missed php5-curl package installed on my system and the fxp/composer-asset-plugin was outdated. Successfully upgraded to 2.0.7, thanks again!
1

#10 User is offline   Backslider 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 419
  • Joined: 23-July 09

Posted 20 February 2016 - 02:04 PM

Have you gotten rid of encoded URLs yet? I have never seen the same anywhere on the internet.

I am sure that you guys have misinterpreted the standard - While a browser may send the URL encoded over the internet there is no need whatsoever to encode the URLs within an application.
We were all once expert at....... nothing.

yii-language-behavior

My Blog
0

#11 User is offline   jacmoe 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 3,694
  • Joined: 10-October 10
  • Location:Denmark

Posted 20 February 2016 - 02:49 PM

View PostBackslider, on 20 February 2016 - 02:04 PM, said:

Have you gotten rid of encoded URLs yet? I have never seen the same anywhere on the internet.

Wut?

Are you referring to things like:
http://mysite.dev/page/view?page_id=section%2Findex

If you are then you have to realize that this is how things work on the interwebs.
You are seeing raw URLs that haven't been rewritten.
I am not sure what parallel internet you have been on. ;)

That raw URL can be rewritten to:
http://mysite.dev/page/section

"Less noise - more signal"
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users